%{?nodejs_find_provides_and_requires}

Name:           nodejs-nopt
Version:        3.0.6
Release:        %mkrel 8
Summary:        Node.js option parsing
License:        MIT
Group:          System/Libraries
URL:            https://github.com/isaacs/nopt
Source0:        https://registry.npmjs.org/nopt/-/nopt-%{version}.tgz
BuildArch:      noarch

BuildRequires:  nodejs-packaging

#BuildRequires:  npm(tap)
BuildRequires:  npm(abbrev)

%description
An option parsing library for Node.js and its package manager (npm).


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/nopt
cp -pr bin lib package.json %{buildroot}%{nodejs_sitelib}/nopt
mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/nopt/bin/nopt.js %{buildroot}%{_bindir}/nopt
%nodejs_symlink_deps


#%check
#%nodejs_symlink_deps --check
#%tap test/*.js


%files
%doc README.md examples
%license LICENSE
%{nodejs_sitelib}/nopt
%{_bindir}/nopt



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.6-8.mga10
+ Revision: 2209923
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 3.0.6-7.mga9
+ Revision: 1821360
- Mageia 9 Mass Rebuild

* Tue May 05 2020 joequant <joequant> 3.0.6-6.mga8
+ Revision: 1580541
- remove test build requires
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 3.0.6-4.mga8
+ Revision: 1492613
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Wed Sep 19 2018 umeabot <umeabot> 3.0.6-3.mga7
+ Revision: 1265032
- Mageia 7 Mass Rebuild

* Mon May 16 2016 neoclust <neoclust> 3.0.6-2.mga6
+ Revision: 1016189
- New version 3.0.6

* Mon Feb 08 2016 umeabot <umeabot> 2.1.2-3.mga6
+ Revision: 950278
- Mageia 6 Mass Rebuild

* Sun Oct 26 2014 tv <tv> 2.1.2-2.mga5
+ Revision: 793455
- drop excludearchs
- imported package nodejs-nopt


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 2.1.2-1.mga5
- import from FC

* Tue Jul 30 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.2-1
- new upstream release 2.1.2

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-3
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-2
- add macro for EPEL6 dependency generation

* Sat Feb 09 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.1.1-1
- new upstream release 2.1.1

* Sun Jan 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-3
- fix symlink to nopt script

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-2
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 2.0.0-1
- new upstream release 2.0.0
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-4
- bring in line with newer module packaging standards

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-3
- guard Requires for F17 automatic depedency generation

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.10-2
- add Group to make EL5 happy

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> 1.0.10-1
- new upstream release

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.6-1
- initial package
